1. IP Orders
Nstproxy Resell Service API
  • Zones
    • Get service zone list
      GET
  • Channels
    • Get channel usage statistics
      GET
    • Get total usage for all service channels
      GET
    • Create channel
      POST
    • Batch query channels
      POST
    • Batch query channel usage summary
      POST
    • Get channel detail
      GET
    • Update channel
      PUT
    • Delete channel
      DELETE
  • IP Products
    • Get service IP product list
      GET
  • IP Orders
    • Get total purchased IP quantity
      GET
    • Batch query IP orders
      POST
    • Buy service IPs
      POST
    • Get purchased IP order detail
      GET
    • Renew IP order
      POST
  • Regions
    • Get country list
      GET
  • Proxies
    • Generate proxies
      GET
  • Schemas
    • SuccessResponse
    • ErrorResponse
    • ProxyType
    • RegionProxyType
    • IpOrderType
    • ProxyProtocol
    • Zone
    • Channel
    • CreateChannelRequest
    • UpdateChannelRequest
    • ChannelIdsRequest
    • ChannelUsageRequest
    • ChannelStatistics
    • UsageMetric
    • ChannelUsageTotal
    • ChannelUsageSummary
    • IpProduct
    • PurchaseTotalByType
    • PurchaseTotal
    • OrderIdsRequest
    • IpProxyItem
    • IpOrder
    • IpOrderDetail
    • CreateIpOrderProduct
    • CreateIpOrderRequest
    • ErrorProxyItem
    • CreateIpOrderResponse
    • RenewSuccessItem
    • RenewIpOrderResponse
    • Country
    • GenerateProxiesResponse
  1. IP Orders

Buy service IPs

POST
/api/v1/service/purchase/ip

Request

Authorization
API Key
Add parameter in header
x-service-id
Example:
x-service-id: ********************
API Key
Add parameter in header
x-service-secret
Example:
x-service-secret: ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Success
Bodyapplication/json

🟠400BadRequestError
🟠401UnauthorizedError
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/service/purchase/ip' \
--header 'x-service-id: <api-key>' \
--header 'x-service-secret: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "type": "ISP",
    "products": [
        {
            "productId": "product_xxx",
            "quantity": 10
        }
    ],
    "name": "service-isp-order",
    "channelName": "service-isp-order",
    "tag": "crawler"
}'
Response Response Example
200 - Example 1
{
    "data": {
        "property1": "string",
        "property2": "string",
        "errProxies": [
            {
                "proxy": "string",
                "country": "string",
                "productId": "string",
                "quantity": 0
            }
        ],
        "orderId": "string",
        "totalPrice": 0,
        "discount": 0,
        "number": 0,
        "period": 0,
        "expireAt": "2019-08-24T14:15:22.123Z",
        "status": 0,
        "name": "string",
        "proxies": [
            {
                "productId": "string",
                "basePrice": 0,
                "region": "string",
                "city": "string",
                "scene": "string",
                "proxy": "string"
            }
        ]
    },
    "err": false,
    "msg": "SUCCESS",
    "code": 200
}
Modified at 2026-04-09 10:44:15
Previous
Batch query IP orders
Next
Get purchased IP order detail
Built with